# [−][src]Module core::arch::powerpc64

🔬 This is a nightly-only experimental API. (`stdsimd` #27731)
This is supported on PowerPC-64 only.

Platform-specific intrinsics for the `PowerPC64` platform.

See the module documentation for more details.

## Structs

vector_bool_long | Experimental PowerPC-64 PowerPC-specific 128-bit wide vector mask of two elements
vector_double | Experimental PowerPC-64 PowerPC-specific 128-bit wide vector of two packed `f64`
vector_signed_long | Experimental PowerPC-64 PowerPC-specific 128-bit wide vector of two packed `i64`
vector_unsigned_long | Experimental PowerPC-64 PowerPC-specific 128-bit wide vector of two packed `u64`

## Functions

trap⚠ | Experimental PowerPC-64 Generates the trap instruction `TRAP`
vec_xxpermdi⚠ | Experimental PowerPC-64 and `vsx` Vector permute.